[top]
components : 3inMVG % 3inMVG stands for 
                    % 3 inputs Majority Vote Gate 
                    % quantum dot cellular automata
in : in1 in2 in3
out : out 
Link : in1 in1@3inMVG 
Link : in2 in2@3inMVG 
Link : in3 in3@3inMVG 
Link : out@3inMVG out 

[3inMVG] 
type : cell 
width : 5
height : 7
%dim (7,5)
%delay : inertial 
delay : transport
defaultDelayTime : 0
border : nowrapped 
neighbors :              3inMVG(-1,0) 
neighbors : 3inMVG(0,-1) 3inMVG(0,0) 3inMVG(0,1) 
neighbors :              3inMVG(1,0) 
in : in1 in2 in3
out : out
Link : in1  in@3inMVG(0,3) 
Link : in2  in@3inMVG(3,0) 
Link : in3  in@3inMVG(6,3) 
Link : out@3inMVG(3,4) out
initialvalue : 0
%initialrowvalue :  0   00010  %(0,3) i.e. to put 1 in
%initialrowvalue :  3   10000  %(3,0) i.e. to put 1 in
%initialrowvalue :  6   00010  %(6,3) i.e. to put 1 in
%initialrowvalue :  0   000-10  %(0,3) i.e. to put -1 in
%initialrowvalue :  3   -10000  %(3,0) i.e. to put -1 in
%initialrowvalue :  6   000-10  %(6,3) i.e. to put -1 in
localtransition : calculus-rule { (3,3) }
%zone : neutral-rule { (0,0)..(0,2) (0,4) } 
%zone : neutral-rule { (1,0)..1,2) (1,4) } 
%zone : neutral-rule { (2,0)..(2,2) (2,4) } 
zone : neutral-rule { (0,0)..(2,2) (0,4)..(2,4) (4,0)..(6,2) (4,4)..(6,4) } 
%zone : idcruce-rule { (2,0)..(2,1) }
zone : input-rule { (0,3) (3,0) (6,3) }
zone : output-rule { (3,4) }
zone : transportSouth-rule { (1,3) (2,3) }
zone : transportNorth-rule { (4,3) (5,3) }
zone : transportEast-rule { (3,1) (3,2) }

[calculus-rule] 
rule : 1 10 { (-1,0)=1 and (0,-1)=1 and (1,0)=1 } 
rule : 1 10 { (-1,0)=1 and (0,-1)=1 and (1,0)=-1 } 
rule : 1 10 { (-1,0)=1 and (0,-1)=-1 and (1,0)=1 } 
rule : 1 10 { (-1,0)=-1 and (0,-1)=1 and (1,0)=1 } 
rule : -1 10 { (-1,0)=1 and (0,-1)=-1 and (1,0)=-1 } 
rule : -1 10 { (-1,0)=-1 and (0,-1)=1 and (1,0)=-1 } 
rule : -1 10 { (-1,0)=-1 and (0,-1)=-1 and (1,0)=1 } 
rule : -1 10 { (-1,0)=-1 and (0,-1)=-1 and (1,0)=-1 } 
%rule : { (0,0) } 5 { t } 
rule : 0 10 { t } 
%rule : { (0,0) }    0 { t } %wanted to eliminate 0-outbursts but it did not do

%zone : neutral-rule { (0,0)..(2,2) (0,4)..(2,4) (4,0)..(6,2) (4,4)..(6,4) } 
[neutral-rule]
rule : { (0,0) } 5 { t } 

%zone : input-rule { (0,3) (3,0) (6,3) }
[input-rule]
%rule : { (0,0) } 5 { t } %????????
rule : 0 5 { t } 

%zone : output-rule { (3,4) } %output to the East
[output-rule]
rule : 1 10 { (0,-1)=1 } 
rule : -1 10 { (0,-1)=-1 } 
%rule : { (0,0) } 5 { t } %????????
rule : 0 1 { t } 

%zone : transportSouth-rule { (1,3) (2,3) }
[transportSouth-rule]
rule : 1 10 { (-1,0)=1 } 
rule : -1 10 { (-1,0)=-1 } 
%rule : { (0,0) } 5 { t } 
rule : 0 5 { t } 

%zone : transportNorth-rule { (4,3) (5,3) }
[transportNorth-rule]
rule : 1 10 { (1,0)=1 } 
rule : -1 10 { (1,0)=-1 } 
%rule : { (0,0) } 5 { t } 
rule : 0 5 { t } 

%zone : transportEast-rule { (3,1) (3,2) }
[transportEast-rule]
rule : 1 10 { (0,-1)=1 } 
rule : -1 10 { (0,-1)=-1 } 
%rule : { (0,0) } 5 { t } 
rule : 0 5 { t } 

%there is no transport West
